Package org.apache.calcite.avatica

## Class MetaImpl.MetaTableType

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaTableType

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaTableType
    extends java.lang.Object

Metadata describing a table type.

### Field Summary

Fields
`java.lang.String` `tableType`

### Constructor Summary

Constructors
`MetaTableType​(java.lang.String tableType)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tableType

    public final java.lang.String tableType

### Constructor Detail

#### MetaTableType

    public MetaTableType​(java.lang.String tableType)